gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: check setgid


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: check setgid
Date: Sat, 08 Jun 2019 19:05:32 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 7a46318  check setgid
7a46318 is described below

commit 7a463184c0396893b45e3f880d56dce1091a8162
Author: Marcello Stanisci <address@hidden>
AuthorDate: Sat Jun 8 19:05:26 2019 +0200

    check setgid
---
 bin/taler-deployment-shared-data | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/bin/taler-deployment-shared-data b/bin/taler-deployment-shared-data
index 23a1d1f..329a008 100755
--- a/bin/taler-deployment-shared-data
+++ b/bin/taler-deployment-shared-data
@@ -6,6 +6,8 @@
 #        permission to the group (test|demo).  Also note that any
 #        program that creates files must set perms by its own!
 
+set -e
+
 if test -z $TALER_CONFIG_ENV; then
   echo Please run 'source ~/activate' first.
   exit 1
@@ -37,8 +39,15 @@ if ! echo $SHARED_DATA_GROUP | grep -q 
"^$TALER_CONFIG_ENV$"; then
   echo "$SHARED_DATA has the wrong group ($SHARED_DATA_GROUP), please fix."
   exit 1
 fi
+
 chmod g+s $SHARED_DATA
 
+# Double-check if setgid was set.
+if stat -L --format "%a" $SHARED_DATA | grep -q -v "^[2367][0-9][0-9][0-9]$"; 
then
+  echo "Please make sure $SHARED_DATA has setgid asserted"
+  exit 1
+fi
+
 declare -A TALER_DIRS=(
   [MERCHANT_WIRE]=$(dirname $(taler-config -s account-merchant -o 
wire_response -f))
   [MERCHANT]=$(dirname $(taler-config -s instance-default -o keyfile -f))

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]